Subject: Re: [sipcore] [Technical Errata Reported] RFC7044 (5442)

From: [email-masked] (Dale R. Worley)
Date: Thu, 02 Aug 2018 21:55:56 -0400

"Zhou, Ted (NSB - CN/Qingdao)" <[email-masked]> writes:
> Sorry for confusion. I'd like the take the following one as an example.
>
> 10.2.  Reason in the History-Info Header Field
>
>    A Reason header field is added when the hi-entry is added to the
>    cache based upon the receipt of a SIP response that is neither a 100
>    nor a 2xx response, as described in Section 9.3.
>
> When receive 180/183, we don't need to add Reason header, right? I
> mean 100 is too specific.

I am sure the authors intended that when the device receives a 183
response, it adds a Reason header.  Perhaps that is not the best
technical choice, but I am sure that is what they intended --
History-Info contains a record of the responses that the request has
received.

Dale

---

From: "Zhou, Ted (NSB - CN/Qingdao)" <[email-masked]>
Date: Mon, 6 Aug 2018 01:17:32 +0000

Dale,

I'm surprised how it could happen.
E.G. when switch receives 180, it means the called party is ringing, hence no retarget happens, no the second INVITE to another target, so, no History-Info.

Is there a real scenario that when receives 180/183, retarget happens, and the switch sends another INVITE with History-Info which contains "Reason" 180/183?

Ted

-----Original Message-----
From: Dale R. Worley [mailto:[email-masked]] 
Sent: 2018年8月3日 9:56
To: Zhou, Ted (NSB - CN/Qingdao) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [sipcore] [Technical Errata Reported] RFC7044 (5442)

> mean 100 is too specific.

I am sure the authors intended that when the device receives a 183 response, it adds a Reason header.  Perhaps that is not the best technical choice, but I am sure that is what they intended -- History-Info contains a record of the responses that the request has received.

Dale